Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000741KdenliveFile Loadingpublic2009-03-31 16:492009-06-18 01:51
Reporterdo 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSKubuntu LinuxOS Version8.04
Product VersionRecent git 
Target VersionFixed in Version0.7.3 
Summary0000741: Crash when opening version 0.6 project file
DescriptionI've built kdenlive with Kdenlive Builder Wizard.

It crashes every time I try to load the old project file. The project file is located on an external usb drive, don't know if it's relevant.

The project file is attached.
Steps To Reproduce1. Start kdenlive and click open
2. Browse to project file and click open
3. "Document project folder is invalid" dialog appears
4. Click ok and crash
Additional InformationThis is the backtrace:
[Thread debugging using libthread_db enabled]
[New Thread 0xb5f826c0 (LWP 27220)]
[KCrash handler]
0000006 mlt_properties_get_data (this=0x0, name=0xb7f58618 "_profile", length=0x0)
    at mlt_properties.c:348
0000007 0xb7f4a99d in mlt_service_profile (this=0x0) at mlt_service.c:605
0000008 0xb7f4c63b in mlt_producer_get_fps (this=0x0) at mlt_producer.c:383
0000009 0xb7f2b43c in Mlt::Producer::get_fps ()
   from /home/danial/forrit/kdenlive/lib/libmlt++.so.1
0000010 0x0812003e in Render::setSceneList (this=0x87f24f0, playlist=@0xbfd8ed30,
    position=0) at /home/danial/src/kdenlive/src/renderer.cpp:825
0000011 0x08141dc2 in KdenliveDoc::setSceneList (this=0x88d3f48)
    at /home/danial/src/kdenlive/src/kdenlivedoc.cpp:226
0000012 0x08159bda in TrackView (this=0x89a6aa8, doc=0x88d3f48, parent=0x84034e8)
    at /home/danial/src/kdenlive/src/trackview.cpp:81
0000013 0x080d38e0 in MainWindow::doOpenFile (this=0x84034e8, url=@0xbfd8ef7c,
    stale=0x8b56868) at /home/danial/src/kdenlive/src/mainwindow.cpp:1353
0000014 0x080d5404 in MainWindow::openFile (this=0x84034e8, url=@0xbfd8ef7c)
    at /home/danial/src/kdenlive/src/mainwindow.cpp:1338
0000015 0x080d55a7 in MainWindow::openFile (this=0x84034e8)
    at /home/danial/src/kdenlive/src/mainwindow.cpp:1291
0000016 0x080e348b in MainWindow::qt_metacall (this=0x84034e8,
    _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbfd8f12c)
    at /home/danial/src/kdenlive/src/cmake_bindir/mainwindow.moc:263
0000017 0xb74ebf79 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000018 0xb74ec3b0 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000019 0xb6a66151 in QAction::triggered () from /usr/lib/libQtGui.so.4
0000020 0xb6a66b2f in QAction::activate () from /usr/lib/libQtGui.so.4
0000021 0xb6e8c0e2 in QToolButton::nextCheckState () from /usr/lib/libQtGui.so.4
0000022 0xb6db2d9f in ?? () from /usr/lib/libQtGui.so.4
0000023 0xb6db303b in QAbstractButton::mouseReleaseEvent ()
   from /usr/lib/libQtGui.so.4
0000024 0xb6e8c1dc in QToolButton::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
0000025 0xb6ac4d44 in QWidget::event () from /usr/lib/libQtGui.so.4
0000026 0xb6db1b3f in QAbstractButton::event () from /usr/lib/libQtGui.so.4
0000027 0xb6e8bab4 in QToolButton::event () from /usr/lib/libQtGui.so.4
0000028 0xb6a6cf9c in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
0000029 0xb6a72125 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000030 0xb7d48483 in KApplication::notify () from /usr/lib/kde4/lib/libkdeui.so.5
0000031 0xb74d70b9 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
0000032 0xb6a6f661 in QApplicationPrivate::sendMouseEvent ()
   from /usr/lib/libQtGui.so.4
0000033 0xb6ad952d in ?? () from /usr/lib/libQtGui.so.4
0000034 0xb6ad7ee1 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000035 0xb6b00c2a in ?? () from /usr/lib/libQtGui.so.4
0000036 0xb619acc6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000037 0xb619e083 in ?? () from /usr/lib/libglib-2.0.so.0
0000038 0xb619e63e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000039 0xb75029f8 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
0000040 0xb6b00a25 in ?? () from /usr/lib/libQtGui.so.4
0000041 0xb74d633d in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000042 0xb74d64cd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000043 0xb74d874d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000044 0xb6a6c897 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000045 0x080c9a0d in main (argc=3, argv=0xbfd900b4)
    at /home/danial/src/kdenlive/src/main.cpp:85
#0 0xb7f5c410 in __kernel_vsyscall ()
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files? file icon Des 05 - Juli 06.kdenlive [^] (5,672 bytes) 2009-03-31 16:49
? file icon kbw.gdb.output.cKi11026 [^] (30,455 bytes) 2009-04-01 11:18

- Relationships

-  Notes
(0002649)
administrator (administrator)
2009-04-05 20:17

I just committed a fix for the crash and improved compatibility with older Kdenlive project files. Please try to update your Kdenlive copy and report the result here.
(0002669)
do (reporter)
2009-04-08 01:19

Upgraded to Revision 3238. It now works as expected!

- Issue History
Date Modified Username Field Change
2009-03-31 16:49 do New Issue
2009-03-31 16:49 do File Added: Des 05 - Juli 06.kdenlive
2009-03-31 16:49 do Build/Install Method => Build Wizard
2009-04-01 11:18 do File Added: kbw.gdb.output.cKi11026
2009-04-05 20:17 administrator Note Added: 0002649
2009-04-05 20:17 administrator Status new => feedback
2009-04-08 01:19 do Note Added: 0002669
2009-04-08 13:14 administrator Status feedback => resolved
2009-04-08 13:14 administrator Resolution open => fixed
2009-04-08 13:14 administrator Fixed in Version => Recent git
2009-04-15 13:07 madsdyd Fixed in Version Recent git => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker